Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class AddressUseMember2

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.AddressUseMember2

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class AddressUseMember2

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Address Use Member2', and utility methods for working with them.

See Also:
  `CDAR2Package.getAddressUseMember2()`

Field Summary
`static int` | `BAD` The 'BAD' literal value.
`static AddressUseMember2` | `BAD_LITERAL` The 'BAD' literal object.
`static int` | `TMP` The 'TMP' literal value.
`static AddressUseMember2` | `TMP_LITERAL` The 'TMP' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Address Use Member2' enumerators.

Method Summary
`static AddressUseMember2` | `get(int value)` Returns the 'Address Use Member2' literal with the specified integer value.
`static AddressUseMember2` | `get(java.lang.String literal)` Returns the 'Address Use Member2' literal with the specified literal value.
`static AddressUseMember2` | `getByName(java.lang.String name)` Returns the 'Address Use Member2' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BAD

    public static final int BAD

  The 'BAD' literal value.

  If the meaning of 'BAD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BAD_LITERAL`, Constant Field Values

### TMP

    public static final int TMP

  The 'TMP' literal value.

  If the meaning of 'TMP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TMP_LITERAL`, Constant Field Values

### BAD_LITERAL

    public static final AddressUseMember2 BAD_LITERAL

  The 'BAD' literal object.

  See Also:
    `BAD`

### TMP_LITERAL

    public static final AddressUseMember2 TMP_LITERAL

  The 'TMP' literal object.

  See Also:
    `TMP`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Address Use Member2' enumerators.

Method Detail

### get

    public static AddressUseMember2 get(java.lang.String literal)

  Returns the 'Address Use Member2' literal with the specified literal value.

### getByName

    public static AddressUseMember2 getByName(java.lang.String name)

  Returns the 'Address Use Member2' literal with the specified name.

### get

    public static AddressUseMember2 get(int value)

  Returns the 'Address Use Member2' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD